/*
 * Bucket.h
 *
 *  Created on: Dec 17, 2013
 *      Author: brian
 */

#ifndef BUCKET_H_
#define BUCKET_H_

#include "GameObject.h"
#include "Vector2D.h"
#include <iostream>

using namespace std;

#include "SDL.h"

class Bucket : public GameObject
{
public:
	Bucket(int offset);

	void load(int x, int y, int width, int height, std::string  textureID);
  void draw(SDL_Renderer* pRenderer);
  void update();
  void clean();
  Vector2D& getPosition() {
	m_position.setX(m_x);
	m_position.setY(m_y);
	  return m_position;
  }
  int getWidth() {
	  return m_width;
  }
  int getHeight() {
 	  return m_height;
   }

private:
  int m_offset;
  Vector2D m_position;
};



#endif /* BUCKET_H_ */
